aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/3.6.0/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/protobuf/3.6.0/autogen.sh')
-rw-r--r--third_party/protobuf/3.6.0/autogen.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/third_party/protobuf/3.6.0/autogen.sh b/third_party/protobuf/3.6.0/autogen.sh
new file mode 100644
index 0000000000..580714b9a5
--- /dev/null
+++ b/third_party/protobuf/3.6.0/autogen.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Run this script to generate the configure script and other files that will
+# be included in the distribution. These files are not checked in because they
+# are automatically generated.
+
+set -e
+
+if [ ! -z "$@" ]; then
+ for argument in "$@"; do
+ case $argument in
+ # make curl silent
+ "-s")
+ curlopts="-s"
+ ;;
+ esac
+ done
+fi
+
+# Check that we're being run from the right directory.
+if test ! -f src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+set -ex
+
+# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
+autoreconf -f -i -Wall,no-obsolete
+
+rm -rf autom4te.cache config.h.in~
+exit 0